package com.chinaitop.depot.system.model;

import java.io.Serializable;
import java.util.Date;

public class TMobileManager implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
    private String id;

    private String mobileName;

    private String mobileVersion;
    
    private String mobileType;

    private String mobileRemark;

    private Date createTime;

    private String mobileUrl;

    /**
     * 主键
     * @return id 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 移动端名称
     * @return mobileName 移动端名称
     */
    public String getMobileName() {
        return mobileName;
    }

    /**
     * 移动端名称
     * @param mobileName 移动端名称
     */
    public void setMobileName(String mobileName) {
        this.mobileName = mobileName == null ? null : mobileName.trim();
    }

    /**
     * 移动端版本
     * @return mobileVersion 移动端版本
     */
    public String getMobileVersion() {
        return mobileVersion;
    }

    /**
     * 移动端版本
     * @param mobileVersion 移动端版本
     */
    public void setMobileVersion(String mobileVersion) {
        this.mobileVersion = mobileVersion == null ? null : mobileVersion.trim();
    }
    
    /**
     * 移动端类型
     * @return mobileType 移动端类型
     */
    public String getMobileType() {
		return mobileType;
	}

    /**
     * 移动端类型
     * @param mobileType 移动端类型
     */
	public void setMobileType(String mobileType) {
		this.mobileType = mobileType == null ? null : mobileType.trim();
	}

	/**
     * 移动端更新说明
     * @return mobileRemark 移动端更新说明
     */
    public String getMobileRemark() {
        return mobileRemark;
    }

    /**
     * 移动端更新说明
     * @param mobileRemark 移动端更新说明
     */
    public void setMobileRemark(String mobileRemark) {
        this.mobileRemark = mobileRemark == null ? null : mobileRemark.trim();
    }

    /**
     * 创建时间
     * @return createTime 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 移动端路径
     * @return mobileUrl 移动端路径
     */
    public String getMobileUrl() {
        return mobileUrl;
    }

    /**
     * 移动端路径
     * @param mobileUrl 移动端路径
     */
    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl == null ? null : mobileUrl.trim();
    }
}